# Uses of Class
org.pentaho.reporting.libraries.formula.parser.Token

Packages that use Token
Package
Description
org.pentaho.reporting.libraries.formula.parser

## Uses of Token in org.pentaho.reporting.libraries.formula.parser

Fields in org.pentaho.reporting.libraries.formula.parser declared as Token
Modifier and Type
Field
Description
`Token`
ParseException.`currentToken`
This is the last token that has been consumed successfully.
`Token`
GeneratedFormulaParser.`jj_nt`
Next token.
`Token`
Token.`next`
A reference to the next regular (non-special) token from the input stream.
`Token`
Token.`specialToken`
This field is used to access special tokens that occur prior to this token, but after the immediately preceding regular (non-special) token.
`Token`
GeneratedFormulaParser.`token`
Current token.
Methods in org.pentaho.reporting.libraries.formula.parser that return Token
Modifier and Type
Method
Description
`Token`
FormulaParseException.`getCurrentTokenVal()`
`final Token`
GeneratedFormulaParser.`getNextToken()`
Get the next Token.
`Token`
GeneratedFormulaParserTokenManager.`getNextToken()`
Get the next Token.
`final Token`
GeneratedFormulaParser.`getToken(int index)`
Get the specific Token.
`static Token`
Token.`newToken(int ofKind)`
`static Token`
Token.`newToken(int ofKind, String image)`
Returns a new Token object, by default.
Constructors in org.pentaho.reporting.libraries.formula.parser with parameters of type Token
Modifier
Constructor
Description
``
`FormulaParseException(Token currentTokenVal, int[][] expectedTokenSequencesVal, String[] tokenImageVal)`
``
`ParseException(Token currentTokenVal, int[][] expectedTokenSequencesVal, String[] tokenImageVal)`
This constructor is used by the method "generateParseException" in the generated parser.